package com.ruoyi.system.mapper;

import com.ruoyi.common.core.domain.entity.MusicRecommend;
import com.ruoyi.common.core.domain.entity.RecommendInfo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 推荐Mapper接口
 * 
 * @author ruoyi
 * @date 2025-07-15
 */
public interface RecommendInfoMapper 
{
    /**
     * 查询推荐
     * 
     * @param id 推荐主键
     * @return 推荐
     */
    public RecommendInfo selectRecommendInfoById(Long id);

    /**
     * 查询推荐列表
     * 
     * @param recommendInfo 推荐
     * @return 推荐集合
     */
    public List<RecommendInfo> selectRecommendInfoList(RecommendInfo recommendInfo);

    /**
     * 新增推荐
     * 
     * @param recommendInfo 推荐
     * @return 结果
     */
    public int insertRecommendInfo(RecommendInfo recommendInfo);

    /**
     * 修改推荐
     * 
     * @param recommendInfo 推荐
     * @return 结果
     */
    public int updateRecommendInfo(RecommendInfo recommendInfo);

    /**
     * 删除推荐
     * 
     * @param id 推荐主键
     * @return 结果
     */
    public int deleteRecommendInfoById(Long id);

    /**
     * 批量删除推荐
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteRecommendInfoByIds(Long[] ids);

    int bindMusic(@Param("reId") String reId,@Param("musicIds") String[] musicIds);


    List<RecommendInfo> selectMusicRecommend();

    int deleteRecommendInfoByReId(String reId);
}
